package com.ltgk.port.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ltgk.common.core.domain.AjaxResult;
import com.ltgk.port.domain.dto.ExportWaterAreaInfoReq;
import com.ltgk.port.domain.dto.SaveWaterAreaInfoReq;
import com.ltgk.port.domain.dto.WaterAreaInfoListReq;
import com.ltgk.port.domain.entity.WaterAreaInfo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

public interface WaterAreaInfoService extends IService<WaterAreaInfo> {
    AjaxResult save(SaveWaterAreaInfoReq saveWaterAreaInfoReq);

    List<WaterAreaInfo> list(WaterAreaInfoListReq waterAreaInfoListReq);

    void export(HttpServletResponse response, ExportWaterAreaInfoReq exportWaterAreaInfoReq);

    void importTemplate(HttpServletResponse response);

    AjaxResult importData(MultipartFile file) throws IOException;
}
